Bug 1256724 - xclients must load the patched libXinerama
Summary: xclients must load the patched libXinerama
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nx-libs
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-25 10:47 UTC by Stephan Sachse
Modified: 2015-12-12 19:55 UTC (History)
1 user (show)

Fixed In Version: 3.5.0.32-2.el7 nx-libs-3.5.0.32-2.el6 nx-libs-3.5.0.32-2.fc21 nx-libs-3.5.0.32-3.fc23 nx-libs-3.5.0.32-3.fc22 nx-libs-3.5.0.32-3.el7 nx-libs-3.5.0.32-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-24 19:52:44 UTC
Type: Bug


Attachments (Terms of Use)
proposed patch (1.04 KB, patch)
2015-08-25 10:47 UTC, Stephan Sachse
no flags Details | Diff

Description Stephan Sachse 2015-08-25 10:47:05 UTC
Created attachment 1066816 [details]
proposed patch

if xinerama is enabled. the x2go client adds /usr/lib64/nx/X11/Xinerama
to LD_LIBRARY_PATH and set NX_XINERAMA_CONF. the xclient now should load
the patched libNX_Xinerama.so.1. but there is no link for libXinerama in
/usr/lib64/nx/X11/Xinerama

Comment 1 Fedora Update System 2015-08-26 02:48:36 UTC
nx-libs-3.5.0.32-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14281

Comment 2 Fedora Update System 2015-08-26 02:48:48 UTC
nx-libs-3.5.0.32-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7791

Comment 3 Fedora Update System 2015-08-26 02:49:00 UTC
nx-libs-3.5.0.32-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14282

Comment 4 Fedora Update System 2015-08-26 02:49:13 UTC
nx-libs-3.5.0.32-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14283

Comment 5 Fedora Update System 2015-08-26 02:49:23 UTC
nx-libs-3.5.0.32-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7792

Comment 6 Fedora Update System 2015-08-26 22:49:17 UTC
nx-libs-3.5.0.32-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nx-libs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7791

Comment 7 Fedora Update System 2015-08-26 22:50:26 UTC
nx-libs-3.5.0.32-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nx-libs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7792

Comment 8 Fedora Update System 2015-08-28 18:54:09 UTC
nx-libs-3.5.0.32-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nx-libs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14281

Comment 9 Fedora Update System 2015-08-28 18:58:16 UTC
nx-libs-3.5.0.32-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nx-libs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14282

Comment 10 Fedora Update System 2015-08-31 18:53:53 UTC
nx-libs-3.5.0.32-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nx-libs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14283

Comment 11 Fedora Update System 2015-09-19 18:56:07 UTC
nx-libs-3.5.0.32-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-20 20:19:28 UTC
nx-libs-3.5.0.32-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-24 07:04:03 UTC
nx-libs-3.5.0.32-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-10-02 23:23:31 UTC
nx-libs-3.5.0.32-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-10-03 21:53:34 UTC
nx-libs-3.5.0.32-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Stephan Sachse 2015-10-28 16:21:45 UTC
wrong patch applied?

$ rpm -qlv libNX_Xinerama-3.5.0.32-2.fc22.x86_64
[...]
lrwxrwxrwx  1 root root  37 Aug 26 01:16 /usr/lib64/nx/X11/Xinerama/libXinerama.so.1 -> ../../../../lib64/libNX_Xinerama.so.1

$ cd /usr/lib64/nx/X11/Xinerama/ && ls -lah ../../../../lib64/libNX_Xinerama.so.1 
ls: cannot access ../../../../lib64/libNX_Xinerama.so.1: No such file or directory

$ cd /usr/lib64/nx/X11/Xinerama/ && cd ../../../../lib64/ && pwd
/usr/lib64

libNX_Xinerama.so.1 is located in /usr/lib64/nx

the link must be like this

/usr/lib64/nx/X11/Xinerama/libXinerama.so.1 -> ../../../../lib64/nx/libNX_Xinerama.so.1

or this

/usr/lib64/nx/X11/Xinerama/libXinerama.so.1 -> ../../libNX_Xinerama.so.1

Comment 17 Fedora Update System 2015-10-29 19:42:26 UTC
nx-libs-3.5.0.32-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3270a05f39

Comment 18 Fedora Update System 2015-10-29 19:42:26 UTC
nx-libs-3.5.0.32-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-021c33c7b0

Comment 19 Fedora Update System 2015-10-29 19:42:32 UTC
nx-libs-3.5.0.32-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2942221585

Comment 20 Fedora Update System 2015-10-29 19:42:33 UTC
nx-libs-3.5.0.32-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8dba6a75e0

Comment 21 Fedora Update System 2015-10-29 19:42:36 UTC
nx-libs-3.5.0.32-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-82584bf11a

Comment 22 Fedora Update System 2015-11-01 06:57:24 UTC
nx-libs-3.5.0.32-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nx-libs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8dba6a75e0

Comment 23 Fedora Update System 2015-11-01 16:47:30 UTC
nx-libs-3.5.0.32-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nx-libs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-021c33c7b0

Comment 24 Fedora Update System 2015-11-01 16:50:21 UTC
nx-libs-3.5.0.32-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nx-libs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3270a05f39

Comment 25 Fedora Update System 2015-11-02 00:25:59 UTC
nx-libs-3.5.0.32-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nx-libs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-82584bf11a

Comment 26 Fedora Update System 2015-11-02 02:54:15 UTC
nx-libs-3.5.0.32-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nx-libs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2942221585

Comment 27 Fedora Update System 2015-11-24 19:52:42 UTC
nx-libs-3.5.0.32-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-11-26 00:21:53 UTC
nx-libs-3.5.0.32-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-11-26 05:25:45 UTC
nx-libs-3.5.0.32-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2015-12-12 19:55:11 UTC
nx-libs-3.5.0.32-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.